<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Document</title>
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        <li><a href = "{% url "show_my_tasks" %}">My Tasks</a></li>
                        <li><a href = "{% url "list_projects" %}">My projects</a></li>
                        <li><a href = "{% url "logout" %}">Logout</a></li>
                    {% else %}
                        <li><a href = "{% url "login" %}">Login</a></li>
                        <li><a href = "{% url "signup" %}">Signup</a></li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div>
                <h1>{{ projects.name }}</h1>
                <p>{{ projects.description }}</p>
                <h2>Tasks</h2>
                <p><a href="{% url "create_task" %}">Create a new task</p>
                {% if projects.tasks.all %}
                    <table>
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Assignee</th>
                                <th>Start date</th>
                                <th>Due date</th>
                                <th>Is completed</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for task in projects.tasks.all %}
                                <tr>
                                    <td>{{ task.name }}</td>
                                    <td>{{ task.assignee.username }}</td>
                                    <td>{{ task.start_date }}</td>
                                    <td>{{ task.due_date }}</td>
                                    <td>{{ task.is_completed|yesno:"yes,no" }}</td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                {% else %}
                    <p>This project has no tasks</p>
                {% endif %}
            </div>
        </main>
    </body>
</html>
